Package org.apache.maven.scm.provider.tfs.command

## Class TfsCommand

- java.lang.Object
- - org.apache.maven.scm.provider.tfs.command.TfsCommand

    public class TfsCommand
    extends java.lang.Object

### Constructor Summary

Constructors
`TfsCommand​(java.lang.String cmd, ScmProviderRepository r, ScmFileSet f, ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addArgument​(java.lang.String s)`
`void` `addArgument​(ScmFileSet f)`
`int` `execute​(org.codehaus.plexus.util.cli.StreamConsumer out, ErrorStreamConsumer err)`
`org.codehaus.plexus.util.cli.Commandline` `getCommandline()`
`java.lang.String` `getCommandString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsCommand

    public TfsCommand​(java.lang.String cmd,
                      ScmProviderRepository r,
                      ScmFileSet f,
                      ScmLogger logger)

### Method Detail

#### addArgument

    public void addArgument​(ScmFileSet f)

#### addArgument

    public void addArgument​(java.lang.String s)

#### execute

    public int execute​(org.codehaus.plexus.util.cli.StreamConsumer out,
                       ErrorStreamConsumer err)
                throws ScmException

Throws:
  `ScmException`

#### getCommandString

    public java.lang.String getCommandString()

#### getCommandline

    public org.codehaus.plexus.util.cli.Commandline getCommandline()